Package org.eclipse.rdf4j.model

## Class ModelTest

- java.lang.Object
- - org.eclipse.rdf4j.model.ModelTest

- Direct Known Subclasses:
    `AbstractModelPerformanceTest`, `AbstractModelTest`

      @TestInstance(PER_CLASS)
      @Timeout(value=1000L,
               unit=MILLISECONDS)
      public abstract class ModelTest
      extends Object

  Abstract test suite for implementations of the `Model` interface
  Author:
    Peter Ansell

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected BNode` | `bnode1` |
    `protected BNode` | `bnode2` |
    `protected BNode` | `bnode3` |
    `protected Literal` | `literal1` |
    `protected Literal` | `literal2` |
    `protected Literal` | `literal3` |
    `protected IRI` | `uri1` |
    `protected IRI` | `uri2` |
    `protected IRI` | `uri3` |
    `protected ValueFactory` | `vf` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModelTest()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Model` | `getNewEmptyModel()` | Helper method that asserts that the returned model is empty before returning.
    `protected abstract Model` | `getNewModel()` |
    `protected Model` | `getNewModelObjectDoubleBNode()` |
    `protected Model` | `getNewModelObjectDoubleLiteral()` |
    `protected Model` | `getNewModelObjectDoubleURI()` |
    `protected Model` | `getNewModelObjectSingleBNode()` |
    `protected Model` | `getNewModelObjectSingleBNodeDoubleLiteral()` |
    `protected Model` | `getNewModelObjectSingleBNodeDoubleURI()` |
    `protected Model` | `getNewModelObjectSingleLiteral()` |
    `protected Model` | `getNewModelObjectSingleLiteralDoubleBNode()` |
    `protected Model` | `getNewModelObjectSingleLiteralDoubleURI()` |
    `protected Model` | `getNewModelObjectSingleLiteralSingleBNode()` |
    `protected Model` | `getNewModelObjectSingleLiteralSingleURI()` |
    `protected Model` | `getNewModelObjectSingleLiteralSingleURISingleBNode()` |
    `protected Model` | `getNewModelObjectSingleURI()` |
    `protected Model` | `getNewModelObjectSingleURIDoubleBNode()` |
    `protected Model` | `getNewModelObjectSingleURIDoubleLiteral()` |
    `protected Model` | `getNewModelObjectSingleURISingleBNode()` |
    `protected Model` | `getNewModelObjectTripleBNode()` |
    `protected Model` | `getNewModelObjectTripleLiteral()` |
    `protected Model` | `getNewModelObjectTripleURI()` |
    `protected Model` | `getNewModelTwoContexts()` |
    `void` | `setUp()` |
    `void` | `tearDown()` |
    `void` | `testContainsSingleLiteral()` | Test method for `Model.contains(Resource, IRI, Value, Resource...)` .
    `void` | `testContexts()` | Test method for `Model.contexts()`.
    `void` | `testEqualsHashcode()` |
    `void` | `testEqualsVsIsomorphic()` |
    `void` | `testFilter_AddToEmptyFilteredModel()` |
    `void` | `testFilter_AddToEmptyOriginalModel()` |
    `void` | `testFilter_AddToNonEmptyFilteredModel()` |
    `void` | `testFilter_AddToOriginalModel()` |
    `void` | `testFilter_RemoveFromFilter()` |
    `void` | `testFilter_RemoveFromOriginal()` |
    `void` | `testFilterSingleLiteral()` | Test method for `Model.filter(Resource, IRI, Value, Resource...)`.
    `void` | `testGetStatements_AddToEmptyModel()` |
    `void` | `testGetStatements_ConcurrentModificationOfModel()` |
    `void` | `testGetStatements_IteratorModification()` |
    `void` | `testGetStatements_SingleLiteral()` |
    `void` | `testObjects()` | Test method for `Model.objects()`.
    `void` | `testPredicates()` | Test method for `Model.predicates()`.
    `void` | `testSubjects()` | Test method for `Model.subjects()`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### literal1

          protected Literal literal1

    - #### literal2

          protected Literal literal2

    - #### literal3

          protected Literal literal3

    - #### uri1

          protected IRI uri1

    - #### uri2

          protected IRI uri2

    - #### uri3

          protected IRI uri3

    - #### bnode1

          protected BNode bnode1

    - #### bnode2

          protected BNode bnode2

    - #### bnode3

          protected BNode bnode3

    - #### vf

          protected final ValueFactory vf

  - ### Constructor Detail

    - #### ModelTest

          public ModelTest()

  - ### Method Detail

    - #### getNewModel

          protected abstract Model getNewModel()

    - #### getNewEmptyModel

          protected Model getNewEmptyModel()

      Helper method that asserts that the returned model is empty before returning.
      Returns:
        An empty instance of the `Model` implementation being tested.

    - #### getNewModelObjectSingleLiteral

          protected Model getNewModelObjectSingleLiteral()

    - #### getNewModelObjectSingleURI

          protected Model getNewModelObjectSingleURI()

    - #### getNewModelObjectSingleBNode

          protected Model getNewModelObjectSingleBNode()

    - #### getNewModelObjectDoubleLiteral

          protected Model getNewModelObjectDoubleLiteral()

    - #### getNewModelObjectDoubleURI

          protected Model getNewModelObjectDoubleURI()

    - #### getNewModelObjectDoubleBNode

          protected Model getNewModelObjectDoubleBNode()

    - #### getNewModelObjectSingleLiteralSingleURI

          protected Model getNewModelObjectSingleLiteralSingleURI()

    - #### getNewModelObjectSingleLiteralSingleBNode

          protected Model getNewModelObjectSingleLiteralSingleBNode()

    - #### getNewModelObjectSingleURISingleBNode

          protected Model getNewModelObjectSingleURISingleBNode()

    - #### getNewModelObjectTripleLiteral

          protected Model getNewModelObjectTripleLiteral()

    - #### getNewModelObjectTripleURI

          protected Model getNewModelObjectTripleURI()

    - #### getNewModelObjectTripleBNode

          protected Model getNewModelObjectTripleBNode()

    - #### getNewModelObjectSingleLiteralSingleURISingleBNode

          protected Model getNewModelObjectSingleLiteralSingleURISingleBNode()

    - #### getNewModelObjectSingleLiteralDoubleURI

          protected Model getNewModelObjectSingleLiteralDoubleURI()

    - #### getNewModelObjectSingleLiteralDoubleBNode

          protected Model getNewModelObjectSingleLiteralDoubleBNode()

    - #### getNewModelObjectSingleURIDoubleBNode

          protected Model getNewModelObjectSingleURIDoubleBNode()

    - #### getNewModelObjectSingleURIDoubleLiteral

          protected Model getNewModelObjectSingleURIDoubleLiteral()

    - #### getNewModelObjectSingleBNodeDoubleURI

          protected Model getNewModelObjectSingleBNodeDoubleURI()

    - #### getNewModelObjectSingleBNodeDoubleLiteral

          protected Model getNewModelObjectSingleBNodeDoubleLiteral()

    - #### getNewModelTwoContexts

          protected Model getNewModelTwoContexts()

    - #### setUp

          @BeforeEach
          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          @AfterEach
          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### testGetStatements_SingleLiteral

          @Test
          public void testGetStatements_SingleLiteral()

    - #### testGetStatements_IteratorModification

          @Test
          public void testGetStatements_IteratorModification()

    - #### testGetStatements_ConcurrentModificationOfModel

          @Test
          public void testGetStatements_ConcurrentModificationOfModel()

    - #### testGetStatements_AddToEmptyModel

          @Test
          public void testGetStatements_AddToEmptyModel()

    - #### testFilterSingleLiteral

          @Test
          public void testFilterSingleLiteral()

      Test method for `Model.filter(Resource, IRI, Value, Resource...)`.

    - #### testFilter_AddToEmptyFilteredModel

          @Test
          public void testFilter_AddToEmptyFilteredModel()

    - #### testFilter_RemoveFromFilter

          @Test
          public void testFilter_RemoveFromFilter()

    - #### testFilter_AddToNonEmptyFilteredModel

          @Test
          public void testFilter_AddToNonEmptyFilteredModel()

    - #### testFilter_AddToEmptyOriginalModel

          @Test
          public void testFilter_AddToEmptyOriginalModel()

    - #### testFilter_RemoveFromOriginal

          @Test
          public void testFilter_RemoveFromOriginal()

    - #### testFilter_AddToOriginalModel

          @Test
          public void testFilter_AddToOriginalModel()

    - #### testContainsSingleLiteral

          @Test
          public void testContainsSingleLiteral()

      Test method for `Model.contains(Resource, IRI, Value, Resource...)` .

    - #### testSubjects

          @Test
          public void testSubjects()

      Test method for `Model.subjects()`.

    - #### testPredicates

          @Test
          public void testPredicates()

      Test method for `Model.predicates()`.

    - #### testObjects

          @Test
          public void testObjects()

      Test method for `Model.objects()`.

    - #### testContexts

          @Test
          public void testContexts()

      Test method for `Model.contexts()`.

    - #### testEqualsVsIsomorphic

          @Test
          public void testEqualsVsIsomorphic()

    - #### testEqualsHashcode

          @Test
          public void testEqualsHashcode()